PROFILE(1)

NAME
profile - MINIX system profiling control command

SYNOPSIS
Statistical profiling:

profile start [ -m memsize ] [ -o outfile ] [ -f frequency ]
profile stop
sprofalyze.pl

Call profiling:

profile get [ -m memsize ] [ -o outfile ]
profile reset
cprofalyze.pl

DESCRIPTION
This command controls MINIX system profiling. There is support for statistical profiling, which causes a CMOS interrupt to regularly sample the position of the program counter, and call profiling, which uses compiler hooks to measure the time and frequency of call paths. For statistical profiling support, recompile the kernel with SPROFILE in <minix/config.h> set to 1. For call profiling support, recompile the system with new libraries with CPROFILE <minix/config.h> set to 1 and environment variable CPROFILE set to -Rcem-p.

OPTIONS

start
    start measuring using statistical profiling.

stop
    stop measuring using statistical profiling.

get retrieve call profiling data

reset
    reset call profiling data

-m  memory buffer size used to store profiling data in, allocated by the profile command.

-o outfile
    output file.

-f frequency
    frequency for statistical sampling.

After you have the output file, analysis can be done using the sprofalyze.pl and cprofalyze.pl commands.

AUTHOR
Rogier Meurs